#include "loginwidget.h"
#include <QGridLayout>
#include <QLabel>

LoginWidget::LoginWidget(QWidget *parent) : QWidget(parent)
{
    QGridLayout* layout = new QGridLayout(this);

    send = new QPushButton("Отправить");
    nameEdit = new QLineEdit();
    passwordEdit = new QLineEdit();

    QLabel* lab1 = new QLabel("Имя пользователя");
    QLabel* lab2 = new QLabel("Пароль (для админов)");


    layout->addWidget(lab1, 0, 0);
    layout->addWidget(nameEdit, 1, 0, 2, 1);
    layout->addWidget(lab2, 3, 0);
    layout->addWidget(passwordEdit, 4, 0 , 2, 1);
    layout->addWidget(send, 6, 0);

    this->setLayout(layout);
    this->resize(200, 30);

    connect(send, &QPushButton::clicked, this, &QWidget::close);
    connect(send, &QPushButton::clicked, this, &LoginWidget::onSendBtnClicked);
}

QString LoginWidget::getName()
{
    return this->nameEdit->text();
}

QString LoginWidget::getPassword()
{
    return this->passwordEdit->text();
}

void LoginWidget::onSendBtnClicked()
{
    emit(onClosed());
}
