#ifndef LOGINWIDGET_H
#define LOGINWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QLineEdit>

class LoginWidget : public QWidget
{
    Q_OBJECT
public:
    explicit LoginWidget(QWidget *parent = nullptr);
    QString getName();
    QString getPassword();

signals:
    void onClosed();

public slots:
    void onSendBtnClicked();

private:
    QPushButton* send;
    QLineEdit* nameEdit;
    QLineEdit* passwordEdit;

};

#endif // LOGINWIDGET_H
