#ifndef QUESTION_H
#define QUESTION_H

#include <QSet>
#include <QString>
#include <unordered_set>

class QuestionEntity {
public:
    QuestionEntity(int p_id, QString& p_question, QSet<QString>& p_answers, QStringList& p_variants);
    int getId();
    QString getQuestion() const;
    QSet<QString> getAnswers() const;
    QStringList getVariants()const ;

    bool checkAnswers(const QSet<QString>& p_answers) const;

    void setQuestion(QString& p_question);
    void setAnswers(QSet<QString>& p_answers);

private:
    int id;
    QString question;
    QSet<QString> answers;
    QStringList variants;

};

#endif // QUESTION_H
