#ifndef TESTSELECTION_H
#define TESTSELECTION_H


#include <QWidget>
#include <QPushButton>
#include <QString>
#include <QVBoxLayout>
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QVariant>
#include <QDebug>
#include <QErrorMessage>
#include "testentity.h"


class TestSelection : public QWidget
{
    Q_OBJECT
public:
    explicit TestSelection(QWidget *parent = nullptr);
    TestEntity* getTestEntity();

public slots:
    void _sh();
    void onButtonClicked();

signals:
    void onClosed();

private:
    QPushButton* createButton(const QString &BtnName, size_t PixHor, size_t PixVert);
    QVBoxLayout* mainLayout;
    QSqlDatabase db;
    TestEntity* selectedTest;

};

#endif // TESTSELECTION_H
